Package be.ehealth.business.intrahubcommons.exception

# Enum Class IntraHubBusinessConnectorExceptionValues

java.lang.Object
java.lang.Enum<IntraHubBusinessConnectorExceptionValues>
be.ehealth.business.intrahubcommons.exception.IntraHubBusinessConnectorExceptionValues

All Implemented Interfaces:
  `Serializable`, `Comparable<IntraHubBusinessConnectorExceptionValues>`, `java.lang.constant.Constable`

public enum IntraHubBusinessConnectorExceptionValues extends Enum<IntraHubBusinessConnectorExceptionValues>
Enumeration of values for `IntraHubBusinessConnectorException`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ERROR`
  Property not defined : {0}
  `MALFORMED_XML`
  Malformed XML
  `PROPERTY_UNKNOWN`
  Property not defined : {0}
  `VALIDATION_ERROR`
  Could not validate incoming message: {0}

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getErrorCode()`
  `String`
  `getMessage()`
  `static IntraHubBusinessConnectorExceptionValues`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static IntraHubBusinessConnectorExceptionValues[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### MALFORMED_XML

    public static final IntraHubBusinessConnectorExceptionValues MALFORMED_XML
    Malformed XML

  - ### VALIDATION_ERROR

    public static final IntraHubBusinessConnectorExceptionValues VALIDATION_ERROR
    Could not validate incoming message: {0}

  - ### PROPERTY_UNKNOWN

    public static final IntraHubBusinessConnectorExceptionValues PROPERTY_UNKNOWN
    Property not defined : {0}

  - ### ERROR

    public static final IntraHubBusinessConnectorExceptionValues ERROR
    Property not defined : {0}

- ## Method Details

  - ### values

    public static IntraHubBusinessConnectorExceptionValues[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static IntraHubBusinessConnectorExceptionValues valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getErrorCode

    public String getErrorCode()
    Returns:
      the errorCode

  - ### getMessage

    public String getMessage()
    Returns:
      the errorMessage